For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Carts
      • Checkouts
          • GETGet Checkout
          • PUTUpdate Customer Messages
            • POSTCheckout Spam Protection
      • Consent
      • Customers
      • Subscriptions
      • Form Fields
      • Orders
      • Pickup Options
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTStorefrontCheckoutsSpam Protection

Checkout Spam Protection

POST
https://your_store.example.com/api/storefront/checkouts/:checkoutId/spam-protection
POST
/api/storefront/checkouts/:checkoutId/spam-protection
$curl -X POST https://your_store.example.com/api/storefront/checkouts/checkoutId/spam-protection \
> -H "Accept: application/json" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{}
Verifies if checkout is created by human. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * This endpoint requires using Stencil CLI, a local session, and a CSRF token to work.
Was this page helpful?
Previous

Delete Gift Certificate

Next

Add Store Credit

Built with

Verifies if checkout is created by human.

Note

  • Substitute your storefront domain for yourstore.example.com.
  • The Send a Test Request feature is not currently supported for this endpoint.
  • This endpoint requires using Stencil CLI, a local session, and a CSRF token to work.

Path parameters

checkoutIdstringRequiredformat: "uuid"
The ID of the subject checkout. Identical to the cart ID.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
tokenstringOptional

Response

Returns the checkout object.